ros-humble-tiago-pro-description (1.35.4-1jammy) jammy; urgency=high

  * adding calibration_tool param
  * Contributors: silviamasiello

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 10 Feb 2026 00:00:00 -0000

ros-humble-tiago-pro-description (1.35.3-1jammy) jammy; urgency=high

  * fix param bug
  * Contributors: matteovillani

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 09 Feb 2026 00:00:00 -0000

ros-humble-tiago-pro-description (1.35.2-1jammy) jammy; urgency=high

  * test fix
  * fix pipeline
  * fix test identation
  * delete teleop end effectors
  * add enable wrist camera option
  * Contributors: ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 05 Feb 2026 00:00:00 -0000

ros-humble-tiago-pro-description (1.35.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 03 Feb 2026 00:00:00 -0000

ros-humble-tiago-pro-description (1.35.0-1jammy) jammy; urgency=high

  * fix inertia for basestation
  * update end effector camera base link (typo)
  * change name from teleop_basestation to pilot_station
  * reset calibration_offset
  * offsets for tp28
  * add camera to the wrist
  * update modules with ee_teleop
  * fix test allegro hand descr
  * fix test args
  * exclude allegro-hand for testing
  * add test for xacro
  * add end_effector_teleop_right and end_effector_teleop_left in files
  * add basestation urdf
  * fix FT sensors after rebase
  * rm non existing directory
  * add ft ros2 control
  * add ft sensor on teleop arms
  * fix urdf
  * add modules and fix default controllers
  * fix joint reflect
  * add teleop args
  * add teleop arms in the urdf
  * Contributors: ileniaperrella, vivianamorlando

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 02 Feb 2026 00:00:00 -0000

ros-humble-tiago-pro-description (1.34.3-1jammy) jammy; urgency=high

  * Add parameter expose_safety_interface
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 28 Jan 2026 00:00:00 -0000

ros-humble-tiago-pro-description (1.34.2-1jammy) jammy; urgency=high

  * Add parameter expose_collision_interface
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 27 Jan 2026 00:00:00 -0000

ros-humble-tiago-pro-description (1.34.1-1jammy) jammy; urgency=high

  * rename calibration directory
  * Contributors: silviamasiello

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 08 Jan 2026 00:00:00 -0000

ros-humble-tiago-pro-description (1.34.0-1jammy) jammy; urgency=high

  * changes for head_offset
  * changes for head_offset
  * changes for head_offset
  * changes for head_offset
  * head_offset
  * reduction param
  * reduction param
  * offset
  * offset
  * offset
  * adding head calibration offset
  * adding head calibration offset
  * Contributors: silviamasiello

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 15 Dec 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.33.0-1jammy) jammy; urgency=high

  * Add gazebo_version xacro argument
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 05 Dec 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.32.3-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 28 Nov 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.32.2-1jammy) jammy; urgency=high

  * changing max and mid value
  * changing max and mid value
  * Contributors: susannamastromauro

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 12 Nov 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.32.1-1jammy) jammy; urgency=high

  * Fix humble tests excluding allegro hand end-effector
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 03 Nov 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.32.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 23 Oct 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.31.2-1jammy) jammy; urgency=high

  * Add urdf calibration args for the arm
  * Remove tiago pro controller config dependency
  * Contributors: Aina Irisarri, David ter Kuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 21 Oct 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.31.1-1jammy) jammy; urgency=high

  * preparing pkg for public release
  * Contributors: andreacapodacqua

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 13 Oct 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.31.0-1jammy) jammy; urgency=high

  * remove realsense overlay
  * Contributors: antoniobrandi

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 27 Aug 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.30.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 05 Aug 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.30.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 01 Aug 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.29.5-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 01 Aug 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.29.4-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 18 Jul 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.29.3-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 16 Jul 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.29.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 10 Jul 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.29.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 10 Jul 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.29.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 08 Jul 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.28.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 18 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.27.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 17 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.27.0-1jammy) jammy; urgency=high

  * Uniform namespace
  * Contributors: antoniobrandi

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 06 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.26.4-1jammy) jammy; urgency=high

  * Remove imu
  * Change sensors paths according to pal_urdf_utils
  * Change path for imu ros2 control urdf
  * Change path for ftsensor ros2_control xacro
  * Contributors: Aina, Aina Irisarri

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 05 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.26.3-1jammy) jammy; urgency=high

  * Enabling idle_mode_on_stop for ethercat system
  * Removing trailing spaces
  * Contributors: Jordan Palacios

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 05 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.26.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 04 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.26.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 03 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.26.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 29 May 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.25.8-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 28 May 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.25.7-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 19 May 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.25.6-1jammy) jammy; urgency=high

  * Enable error_protection
  * Contributors: Jordan Palacios

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 08 May 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.25.5-1jammy) jammy; urgency=high

  * Update file ros2_control.urdf.xacro
  * Change can bus for allegro right
  * Contributors: Aina Irisarri

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 02 May 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.25.4-1jammy) jammy; urgency=high

  * Delete for now xela components
  * Add dependency for allegro description
  * Add allegro hand as a possible end effector
  * add velocity command interface for the torso
  * Contributors: Aina, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.25.3-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 03 Apr 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.25.2-1jammy) jammy; urgency=high

  * Create ethercat system even if there are no arms
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 02 Apr 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.25.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 31 Mar 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.25.0-1jammy) jammy; urgency=high

  * Adding proper module config
  * Support for SEA in tiago_pro_description
  * Contributors: oscarmartinez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 27 Mar 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.24.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 25 Mar 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.23.4-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 25 Mar 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.23.3-1jammy) jammy; urgency=high

  * Remove unused imu broadcaster
  * Contributors: David ter Kuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 18 Mar 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.23.2-1jammy) jammy; urgency=high

  * Merge branch 'tpe/add_inertia_version' into 'humble-devel'
    Add parameter for the new arm
    See merge request robots/tiago_pro_robot!106
  * Add parameter for the new arm
  * Contributors: thomas.peyrucain, thomaspeyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 28 Feb 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.23.1-1jammy) jammy; urgency=high

  * Change default config of TIAGo Pro
  * Contributors: thomas.peyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 27 Feb 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.23.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 24 Feb 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.22.2-1jammy) jammy; urgency=high

  * Merge branch 'tpe/add_d455' into 'humble-devel'
    Add Realsense D455 to tiago pro head
    See merge request robots/tiago_pro_robot!109
  * Add Realsense D455 to tiago pro head
  * Contributors: thomas.peyrucain, thomaspeyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 18 Feb 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.22.1-1jammy) jammy; urgency=high

  * Merge branch 'tpe/simplify_3d_models' into 'humble-devel'
    Fix naming + change collision toroso_fixed
    See merge request robots/tiago_pro_robot!108
  * Fix naming + change collision toroso_fixed
  * Contributors: thomas.peyrucain, thomaspeyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 23 Jan 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.22.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 22 Jan 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.21.0-1jammy) jammy; urgency=high

  * Merge branch 'tpe/simplify-3d-model' into 'humble-devel'
    Tpe/simplify 3d model
    See merge request robots/tiago_pro_robot!104
  * Scale sligthly the visual of the base_link of the torso to remove visualization bug + add visual for the head_link
  * Fix test
  * Add simplyfied models
  * Remove has_tray argument
  * Contributors: thomas.peyrucain, thomaspeyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 16 Jan 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.20.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 07 Jan 2025 00:00:00 -0000

ros-humble-tiago-pro-description (1.19.0-1jammy) jammy; urgency=high

  * Remove safety-eps form torso and update boxing motion
  * Contributors: David ter Kuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 10 Dec 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.18.0-1jammy) jammy; urgency=high

  * Remove camera model as parameter for pm2 launch file
  * Add camera model as parameter to check in head urdf
  * Keep camera in tiago pro
  * Rebase on head fixes
  * Fix ros2 control macro for tiago_head
  * Remove camera model arg from tiago_pro_robot
  * Remove camera model and add tiago_pro_head dependency
  * Change head meshes to tiago_pro_head package
  * Contributors: Aina

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 02 Dec 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.17.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 21 Nov 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.16.0-1jammy) jammy; urgency=high

  * Remove mistake on ros2_control xacro
  * Contributors: Aina Irisarri

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 08 Nov 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.15.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 06 Nov 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.14.2-1jammy) jammy; urgency=high

  * set rw rate less than 200 to avoid spam and ros2control errors
  * Contributors: ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 06 Nov 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.14.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 30 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.14.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 29 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.13.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 29 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.12.1-1jammy) jammy; urgency=high

  * Merge branch 'vmo/inertias' into 'humble-devel'
    Modifying inertia of torso
    See merge request robots/tiago_pro_robot!86
  * Modifying inertia of torso
  * Contributors: thomaspeyrucain, vivianamorlando

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 28 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.12.0-1jammy) jammy; urgency=high

  * Put back safety controller for the torso + change motions
  * Update torso limits
  * Contributors: Aina, thomas.peyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 28 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.11.0-1jammy) jammy; urgency=high

  * delete CAN ros2_control for torso_lift
  * Add xacro tests
  * Contributors: Aina, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 25 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.10.1-1jammy) jammy; urgency=high

  * Merge branch 'tpe/fix_head' into 'humble-devel'
    Tpe/fix head
    See merge request robots/tiago_pro_robot!81
  * Fix head position
  * Contributors: thomas.peyrucain, thomaspeyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 22 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.10.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 21 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.9.0-1jammy) jammy; urgency=high

  * Add reflect on the 5th joint
  * Contributors: thomas.peyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 11 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.8.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 02 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.8.1-1jammy) jammy; urgency=high

  * Merge branch 'tpe/limit_update' into 'humble-devel'
    Update pal_sea_arm to add the joint reflect + update the home motion
    See merge request robots/tiago_pro_robot!74
  * Update pal_sea_arm to add the joint reflect + update the home motion
  * Merge branch 'omm/missing_module_args' into 'humble-devel'
    Added missing module arg
    See merge request robots/tiago_pro_robot!73
  * Added missing module arg
  * Contributors: oscarmartinez, thomas.peyrucain, thomaspeyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 27 Sep 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.8.0-1jammy) jammy; urgency=high

  * Tests passing
  * Std gripper orientation
  * Suggested changes
  * Support for multiple FT sensors at the same time
  * Added wrist_model and tool_changer args
  * Removing repeated arm
  * Support for removable tray
  * Added head
  * Added torso
  * Support for new old arm naming
  * added frames for sellion and eyes
  * Invert head 2 joint direction
  * Contributors: David ter Kuile, ferrangebelli, oscarmartinez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 19 Sep 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.7.0-1jammy) jammy; urgency=high

  * Disable ros2_control_tiago_pro_system_ethercat if no arms
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 12 Sep 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.6.0-1jammy) jammy; urgency=high

  * Add slash to node names on parameter files
  * Restored full hw suffix for future compatibility
  * Remove ft_sensor from HW specific config generation
  * Contributors: Noel Jimenez, oscarmartinez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 10 Sep 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.5.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 29 Aug 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.4.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 22 Aug 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.3.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 08 Aug 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.2.0-1jammy) jammy; urgency=high

  * Set different read/write rates for hardware components
    https://github.com/ros-controls/ros2_control/pull/1570
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 07 Aug 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.1.0-1jammy) jammy; urgency=high

  * Split ros2_control hardware into three RobotControl components
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 05 Aug 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.13-1jammy) jammy; urgency=high

  * Add warning for pal_module_cmake not found
  * change module name into 20_*
  * Contributors: Aina, Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 09 Jul 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.12-1jammy) jammy; urgency=high

  * Merge branch 'dtk/fix-gazebo-urdf' into 'humble-devel'
    Dtk/fix gazebo urdf
    See merge request robots/tiago_pro_robot!51
  * Change occurences of sim_time to use_sim_time
  * Move remove global gazebo.urdf file
  * Contributors: David ter Kuile, davidterkuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 27 Jun 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.11-1jammy) jammy; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Change import for launch args
    See merge request robots/tiago_pro_robot!50
  * Add is missing is_multiple xacro arg
  * Change import for launch args
  * Contributors: David ter Kuile, davidterkuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 26 Jun 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.10-1jammy) jammy; urgency=high

  * Merge branch 'dtk/fix/head-camera-name' into 'humble-devel'
    Change camera name and topic to head_front_camera
    See merge request robots/tiago_pro_robot!40
  * Change camera name and topic to head_front_camera
  * Merge branch 'smd/feat/realsense_calibrated' into 'humble-devel'
    Added calibrated tf realsense for the real robot
    See merge request robots/tiago_pro_robot!42
  * Added calibrated tf realsense for the real robot
  * Contributors: David ter Kuile, davidterkuile, sergiomoyano

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 22 May 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.9-1jammy) jammy; urgency=high

  * Merge branch 'omm/feat/arm_name_std' into 'humble-devel'
    Changed arm_model to arm_type in the URDF
    See merge request robots/tiago_pro_robot!39
  * Changed arm_model to arm_type in the URDF
  * Contributors: davidterkuile, oscarmartinez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 09 May 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.8-1jammy) jammy; urgency=high

  * Fix typo
  * Contributors: davidterkuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.7-1jammy) jammy; urgency=high

  * Merge branch 'omm/feat/public_sim_check' into 'humble-devel'
    Public Sim check
    See merge request robots/tiago_pro_robot!36
  * is_public_sim support in launch files
  * urdf support for is_public_sim
  * Merge branch 'omm/fix/urdf_proper_structure' into 'humble-devel'
    Robot urdf reestructured
    See merge request robots/tiago_pro_robot!35
  * Loading calibration constants properly
  * Robot urdf reestructured
  * Contributors: Oscar, davidterkuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 18 Apr 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.6-1jammy) jammy; urgency=high

  * Merge branch 'omm/fix/default_laser' into 'humble-devel'
    Fixed default laser value
    See merge request robots/tiago_pro_robot!34
  * Small reorganization of the urdf
  * Changed default laser
  * Applying autoformater
  * Contributors: Oscar, davidterkuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 17 Apr 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.5-1jammy) jammy; urgency=high

  * Merge branch 'fix/ros-planar-move-rate' into 'humble-devel'
    modified gazebo ros_planar_move rate
    See merge request robots/tiago_pro_robot!33
  * modified gazebo ros_planar_move rate
  * Merge branch 'dtk/feat/add-modules' into 'humble-devel'
    Dtk/feat/add modules
    See merge request robots/tiago_pro_robot!32
  * Change module number prefix to 10
  * Add modules
  * Merge branch 'omm/fix/spinning_tiago' into 'humble-devel'
    Restored ros_planar_move plugin
    See merge request robots/tiago_pro_robot!31
  * Restored ros_planar_move plugin
  * Contributors: David ter Kuile, Noel Jimenez, Oscar, andreacapodacqua, davidterkuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.4-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 10 Apr 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.3-1jammy) jammy; urgency=high

  * Add missing realsense simulation dependency
  * Contributors: David ter Kuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 26 Mar 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 26 Mar 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.1-1jammy) jammy; urgency=high

  * Merge branch 'dtk/fix/restructure' into 'humble-devel'
    Dtk/fix/restructure
    See merge request robots/tiago_pro_robot!28
  * update copyright year
  * Remove unsupported lidars from test
  * Add missing realsense2_description dependency
  * Add missing robot_state_publisher dependency
  * Add missing controller_configuration dependency
  * Update supported lasers in urdf
  * Add hw_suffix python module for tiago-pro-description
  * Add URDF tests
  * Restructure URDF
  * Choose to spawn the arms or not in the urdf
  * Avoid bug that is unable to parse colon with spac ein urdf
  * Remove arm meshes
  * Merge branch 'dtk/fix/add-hector-gazebo-plugin' into 'humble-devel'
    Add force_based_move gazebo plugin for omni base
    See merge request robots/tiago_pro_robot!27
  * Create a pal_distro dependency to not break humble ci untill pr gets accepted
  * added hector_gazebo_plugin dep and disabled mobile base controller in simulation
  * Add force_based_move gazebo plugin for omni base
  * Merge branch 'dtk/fix/camera-simulation' into 'humble-devel'
    Dtk/fix/camera simulation
    See merge request robots/tiago_pro_robot!26
  * Add realsense camera in head
  * integrate mobile_base_controller
  * fix gripper name
  * fix on the ft_sensor type
  * Contributors: David ter Kuile, andreacapodacqua, davidterkuile, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 22 Mar 2024 00:00:00 -0000

ros-humble-tiago-pro-description (1.0.0-1jammy) jammy; urgency=high

  * Merge branch 'ros2-migration' into 'humble-devel'
    Ros2 migration
    See merge request robots/tiago_pro_robot!23
  * Fix lintern tests
  * remove files not used
  * fix misaligned
  * fix gripper name
  * delete extra choices for the robot_name
  * update to 3.8 the cmake_minimum_required Version
  * update deg_to_rad file extension
  * python module not needed
  * update launch files with launch_pal structure
  * migration launch files
  * urdf migration
  * meshes/ rviz config
  * CMakeLists and package files
  * config files
  * migration of CMakeLists.txt and package.xml to ros2
  * Contributors: Adria Roig, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 30 Jan 2024 00:00:00 -0000

ros-humble-tiago-pro-description (0.0.11-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 08 Nov 2023 00:00:00 -0000

ros-humble-tiago-pro-description (0.0.10-1jammy) jammy; urgency=high

  * Merge branch 'fix/ft_naming' into 'master'
    Change arm_ft_ to wrist_ft to match TIAGo
    See merge request robots/tiago_pro_robot!19
  * Change arm_ft_ to wrist_ft to match TIAGo
  * remove deg_to_rad to make use of pal_urdf_utils package
  * Merge branch 'change_name' into 'master'
    Change tiago_v2_prototype to tiago_pro + move arm to an external package
    See merge request robots/tiago_pro_robot!16
  * Update package.xml
  * Change tiago_v2_prototype to tiago_pro + move arm to an external package
  * Contributors: Jordan Palacios, thomaspeyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 20 Oct 2023 00:00:00 -0000

ros-humble-tiago-pro-description (0.0.9-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 25 May 2023 00:00:00 -0000

ros-humble-tiago-pro-description (0.0.8-1jammy) jammy; urgency=high

  * Merge branch 'wbc_per_arm' into 'master'
    Wbc per arm
    See merge request robots/tiago_pro_robot!10
  * Flipped the limits of the head
  * Contributors: Sai Kishor Kothakota

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 24 May 2023 00:00:00 -0000

ros-humble-tiago-pro-description (0.0.7-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 24 May 2023 00:00:00 -0000

ros-humble-tiago-pro-description (0.0.6-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 24 May 2023 00:00:00 -0000

ros-humble-tiago-pro-description (0.0.5-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 22 May 2023 00:00:00 -0000

ros-humble-tiago-pro-description (0.0.4-1jammy) jammy; urgency=high

  * Merge branch 'flip_arm_link_3' into 'master'
    remove joy_teleop from bringup and use startup as the incrementer server is...
    See merge request robots/tiago_pro_robot!6
  * added realsense2_description dependency
  * added head_screen_link to the URDF
  * Merge branch 'head-camera' into 'flip_arm_link_3'
    Head camera integration
    See merge request robots/tiago_pro_robot!5
  * intel d435 added
  * 180 degrees flip of link 3 to improve motion ranges
  * Contributors: Luca Marchionni, Sai Kishor Kothakota, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Sat, 20 May 2023 00:00:00 -0000

ros-humble-tiago-pro-description (0.0.3-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 16 May 2023 00:00:00 -0000

ros-humble-tiago-pro-description (0.0.2-1jammy) jammy; urgency=high

  * remove unused tiago_sea_arm_description dependency
  * Contributors: Sai Kishor Kothakota

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 16 May 2023 00:00:00 -0000

ros-humble-tiago-pro-description (0.0.1-1jammy) jammy; urgency=high

  * Merge branch 'new_v2_bringup' into 'master'
    New v2 bringup and urdf
    See merge request robots/tiago_pro_robot!1
  * Added gazebo flags for joint and reformat dynamic parameters for ars, head and torso
  * remove log file
  * Reduce head joint limits and update dynamic parameters
  * Flip joint_2 limits
  * Merge branch 'gripper-integration' into 'new_v2_bringup'
    Grippers integration
    See merge request robots/tiago_pro_robot!2
  * grippers robotiq-2f-85 added for both arms
  * update joint position limtis
  * removed not used mesh folders
  * Install gazebo directory too
  * Cleaning and simplification of collision meshes
  * fixed inertia and joints naming
  * both arms fixed and tool link added
  * First v2 proto alsmost working version
  * update for new arms placement
  * test manipulability with moveit and workspace
  * Configuration with arm in the front and pointing down
  * Added params for arm placement and params in launch files
  * Mounting pose of the arms in an external file
  * Update rviz config file
  * Use reflect param
  * Add gazebo plugins
  * First commit
  * Contributors: Jordan Palacios, Luca Marchionni, Narcis Miguel, Sai Kishor Kothakota, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 16 May 2023 00:00:00 -0000


